Summary: A widely used ray tracing package.
Name: povray31
Version: 3.1g
Release: 1
Copyright: Custom
Group: Applications/Multimedia
Source0: ftp://ftp.povray.org/pub/povray/Official/Unix/povuni_s.tgz
Source1: ftp://ftp.povray.org/pub/povray/Official/Unix/povuni_d.tgz
Patch0: %{name}-%{version}-aix.patch
URL: http://www.povray.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: tofrodos
BuildRequires: libpng-devel >= 1.2.25, zlib-devel >= 1.2.3
Requires: libpng >= 1.2.25, zlib >= 1.2.3

%description
A widely used ray tracing package, Persistence of Vision's Ray Tracer
(POV-ray) is based on David Buck's original ray tracer, DKB-Trace.
POV-ray is currently developed and supported by members of CompuServe
Graphics Developers' Forum.  The first stage of the process is
describing what you want to depict, either by using an interactive
modeling system like a CAD package, or by creating a text file which
uses a programming language-like syntax to describe the elements of
the image.  In both cases, you have to specify the objects, their
shape, their location, their color, their texture and their
illumination. Then you input the information to the raytracer program
and wait (and wait and wait...raytracing isn't speedy) for its
output (the image).


%prep
%setup -q -b 1 -n %{name}
# sanitize permissions and fix CR/LF endings
chmod -R -s .
find . -type f -exec chmod 0644 {} \;
find . -type f -exec fromdos {} \;
%patch0


%build
cd source/unix
make newxwin


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}

cd source/unix
cp x-povray ${RPM_BUILD_ROOT}%{_bindir}/x-%{name}
cd ../..

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}%{_bindir}
  ln -s x-%{name} %{name}
)

cp -f povray.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/povray31.1

for dir in allscene include scenes ; do
    cp -Rf ${dir} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/
done

cp -f xpovicon.xpm *.sh *.ini ${RPM_BUILD_ROOT}%{_datadir}/%{name}/

cp source/unix/povrayrc ${RPM_BUILD_ROOT}%{_datadir}/%{name}/povray.ini

find ${RPM_BUILD_ROOT}%{_datadir}/%{name} -name "*.sh" -exec chmod 0755 {} \;

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc *.doc gamma.gif gamma.gif.txt povwhere.get povuser.txt
%doc source/unix/README.unix source/unix/povrayrc
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man?/*
/usr/bin/*


%changelog
* Fri Jan 15 2010 Michael Perzl <michael at perzl dot org> - 3.1g-1
- first version for AIX V5.1 and higher
